# modules/midimon/midimon.c File Reference

`#include <mios32.h>`
`#include <string.h>`
`#include "midimon.h"`

## Data Structures
union | midi_clk_pos_t
union | mtc_pos_t
## Defines
#define | MSG MIOS32_MIDI_SendDebugMessage
#define | NUM_TEMPO_SAMPLES (6+1)
#define | NUM_TEMPO_PORTS 4
## Functions
s32 | MIDIMON_Init (u32 mode)
s32 | MIDIMON_InitFromPresets (u8 _midimon_active, u8 _filter_active, u8 _tempo_active)
s32 | MIDIMON_ActiveSet (u8 active)
s32 | MIDIMON_ActiveGet (void)
s32 | MIDIMON_FilterActiveSet (u8 active)
s32 | MIDIMON_FilterActiveGet (void)
s32 | MIDIMON_TempoActiveSet (u8 active)
s32 | MIDIMON_TempoActiveGet (void)
s32 | MIDIMON_Receive (mios32_midi_port_t port, mios32_midi_package_t package, u8 filter_sysex_message)
s32 | MIDIMON_Print (char *prefix_str, mios32_midi_port_t port, mios32_midi_package_t package, u32 timestamp, u8 filter_sysex_message)
s32 | MIDIMON_TerminalHelp (void *_output_function)
s32 | MIDIMON_TerminalParseLine (char *input, void *_output_function)
s32 | MIDIMON_TerminalPrintConfig (void *_output_function)

## Define Documentation

#define MSG MIOS32_MIDI_SendDebugMessage

#define NUM_TEMPO_PORTS 4

#define NUM_TEMPO_SAMPLES (6+1)

## Function Documentation

s32 MIDIMON_ActiveGet | ( | void |  | ) |

s32 MIDIMON_ActiveSet | ( | u8 | active | ) |

s32 MIDIMON_FilterActiveGet | ( | void |  | ) |

s32 MIDIMON_FilterActiveSet | ( | u8 | active | ) |

s32 MIDIMON_Init | ( | u32 | mode | ) |

s32 MIDIMON_InitFromPresets | ( | u8 | _midimon_active,
|  | u8 | _filter_active,
|  | u8 | _tempo_active |
| ) |  |  |

s32 MIDIMON_Print | ( | char * | prefix_str,
|  | mios32_midi_port_t | port,
|  | mios32_midi_package_t | package,
|  | u32 | timestamp,
|  | u8 | filter_sysex_message |
| ) |  |  |

Here is the call graph for this function:

s32 MIDIMON_Receive | ( | mios32_midi_port_t | port,
|  | mios32_midi_package_t | package,
|  | u8 | filter_sysex_message |
| ) |  |  |

Here is the call graph for this function:

s32 MIDIMON_TempoActiveGet | ( | void |  | ) |

s32 MIDIMON_TempoActiveSet | ( | u8 | active | ) |

s32 MIDIMON_TerminalHelp | ( | void * | _output_function | ) |

s32 MIDIMON_TerminalParseLine | ( | char * | input,
|  | void * | _output_function |
| ) |  |  |

Here is the call graph for this function:

s32 MIDIMON_TerminalPrintConfig | ( | void * | _output_function | ) |

Here is the call graph for this function: